using System;
using PloobsEngine;
using Etapa1.Screens;

namespace SoftRender
{
    static class Program
    {
        static EngineStuff engine;
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        static void Main(string[] args)
        {
            using (engine = EngineStuff.CreateAndStartEngine(true))
            {
                engine.SetResolution(800, 600);
                //engine.TogleFullScreen();
                engine.EngineLoadContent = LoadContent;
                engine.Run();
            }
        }
        public static void LoadContent()
        {
            //engine.ScreenManager.AddScreen(new SoftLightScreen());            
            //engine.ScreenManager.AddScreen(new SoftGeomScreen());            
            engine.ScreenManager.AddScreen(new TesScreen(engine));            
        }
    }
}

