﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Etapa1.SofRender
{
    public class SEffect
    {
        public SEffect()
        {
        }

        public SEffect(VertexShader vs, HullShader hs, DomainShader ds ,GeometricShader gs, PixelShader ps)
        {
            this.PixelShader = ps;
            this.VertexShader = vs;
            this.GeometricShader = gs;
            this.HullShader = hs;
            this.DomainShader = ds;
        }

        public SEffect(VertexShader vs, GeometricShader gs, PixelShader ps)
        {
            this.PixelShader = ps;
            this.VertexShader = vs;
            this.GeometricShader = gs;
            this.HullShader = null;
            this.DomainShader = null;
        }

        public HullShader HullShader
        {
            set;
            get;
        }

        public DomainShader DomainShader
        {
            set;
            get;
        }

        public GeometricShader GeometricShader
        {
            set;
            get;
        }

        public PixelShader PixelShader
        {
            set;
            get;
        }

        public VertexShader VertexShader
        {
            set;
            get;
        }
    }
}
