﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework;

namespace Etapa1.SofRender
{
    public static class ExtensionMethods
    {
        public static Color AddColors(this Color color, Color c2)
        {
            return new Color(color.ToVector4() + c2.ToVector4());
        }

        public static Color SubColors(this Color color, Color c2)
        {
            return new Color(color.ToVector4() - c2.ToVector4());
        }

        public static Color MultByConstColor(this Color color, float value)
        {
            return new Color(color.ToVector4() * value);
        }

        public static Color MultByConstColor(this Color color, double value)
        {
            return new Color(color.ToVector4() * (float)value);
        }

        
        
    }
}
