﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace Etapa1.SofRender
{
    public enum Slots
    {
        NORMAL0,NORMAL1, TEXTCOORD0, TEXTCOORD1, TEXTCOORD2, TEXTCOORD3, TEXTCOORD4, POSITION0, POSITION1,COLOR0,COLOR1
    }

    public class VertexType
    {
        public Vector4 this[Slots slot]
        {
            get
            {
                return Datasv4[slot];
            }
            set
            {                
                Datasv4[slot] = value;
            }

        }

        public VertexType Clone()
        {
            VertexType vt = new VertexType();
            foreach (var item in Datasv4.Keys)
            {
                vt[item] = Datasv4[item];
            }
            return vt;
        }


        public List<Slots> VertexElements
        {
            get { return Datasv4.Keys.ToList(); }            
        }

        private Dictionary<Slots, Vector4> Datasv4 = new Dictionary<Slots, Vector4>();        

    }   


}
