﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace Etapa1.SofRender
{
    public class TriangleShader : SEffect,PixelShader,VertexShader
    {
        public TriangleShader()
        {
            this.GeometricShader = null;
            this.PixelShader = this;
            this.VertexShader = this;
        }

        Matrix world;

        public Matrix World
        {
            get { return world; }
            set { world = value; }
        }
        Matrix view;

        public Matrix View
        {
            get { return view; }
            set { view = value; }
        }
        Matrix projection;

        public Matrix Projection
        {
            get { return projection; }
            set { projection = value; }
        }        

        public Texture2D Difuse
        {
            set { sampler = TextureSampler.Sampler(value);  }
        }

        TextureSampler sampler;

        #region VertexShader Members

        VertexType VertexShader.VertexShader(VertexType vertice)
        {            
            return vertice;
        }

        #endregion

        #region PixelShader Members

        Color PixelShader.PixelShader(VertexType vo)
        {
            return Color.Green;
            
        }

        #endregion
    }
}
